Hello again,

I have just tried sending a zone from an Express system to a Solaris 11 system.

The original ZFS filesystems were

fileserver/zones 1.73G 29.2T 35K /zones fileserver/zones/agdos 731M 29.2T 33K /zones/agdos fileserver/zones/agdos/ROOT 731M 29.2T 31K legacy fileserver/zones/agdos/ROOT/zbe 731M 29.2T 499M legacy

The dsconvert ran OK (I had to specify zbe as the boot environment).

attach -u fails and the the log shows:

pkg install: No solution was found to satisfy constraints

maintained incorporations: None

Plan Creation: dependency error(s) in proposed packages:

followed by 5776 entries like

No suitable version of required package pkg://solaris/developer/build/onbld@0.5.11,5.11- found: Reject: pkg://solaris/developer/build/onbld@0.5.11,5.11- Reason: All acceptable versions of 'require' dependency on pkg:/runtime/python-24 are obsolete

It looks like every package is rejected.

The zone's publishers look OK:

pkg -R /zones/agdos/root publisher
PUBLISHER                             TYPE     STATUS   URI
solaris (syspub) origin online proxy://http://pkg.oracle.com/solaris/release/ solaris (syspub) origin online https://pkg.oracle.com/solaris/support/



zones-discuss mailing list

Reply via email to